/*
 * AspectCirclePopupMenu.java
 *
 * Created on 2008/10/01, 15:06
 *
 * ----------
 * 
 * Copyright (C) 2007-2011 Yoshitaka Ohsawa All rights reserved.
 * This is free software with ABSOLUTELY NO WARRANTY.
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA
 * 
 * ----------
 */

package to.tetramorph.starbase.chartmodule;

import javax.swing.JCheckBoxMenuItem;
import javax.swing.JMenuItem;
import javax.swing.JPopupMenu;
import javax.swing.JSeparator;

/**
 * アスペクト円内でアスペクト線を操作するメニュー。
 * @author 大澤義孝
 */
public class AspectCirclePopupMenu extends JPopupMenu {
//    JCheckBoxMenuItem item0 = new JCheckBoxMenuItem("アスペクト線を表示");
    /**
     *アスペクト線を全て表示
     */
    protected JMenuItem item1 = new JMenuItem("アスペクト線を全て表示");
    /**
     *アスペクト線を非表示
     */
    protected JMenuItem item2 = new JMenuItem("アスペクト線を非表示");
    /**
     *選択線を隠す
     */
    protected JMenuItem item3 = new JMenuItem("選択線を隠す");
    /**
     *選択線以外を隠す
     */
    protected JMenuItem item4 = new JMenuItem("選択線以外を隠す");
    /**
     *すべての選択を解除
     */
    protected JMenuItem item5 = new JMenuItem("すべての選択を解除");
    /**
     *天体リングとアスペクトの設定
     */
    protected JMenuItem item6 = new JMenuItem("天体リングとアスペクトの設定");
    /**
     *オーブの設定
     */
    protected JMenuItem item7 = new JMenuItem("オーブの設定");
    
    /**  AspectCirclePopupMenu オブジェクトを作成する */
    public AspectCirclePopupMenu() {
        super();
        add( item1 );
        add( item2 );
//        item0.setSelected(true);
//        add( item0 );
        add( new JSeparator() );
        add( item3 );
        add( item4 );
        add( item5 );
        add( new JSeparator() );
        add( item6 );
        add( item7 );
    }
    
}
