/*
 * RingActionListener.java
 *
 * Created on 2007/07/07, 5:44
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 * ----------
 * 
 * Copyright (C) 2007-2011 Yoshitaka Ohsawa All rights reserved.
 * This is free software with ABSOLUTELY NO WARRANTY.
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA
 * 
 * ----------
 */

package to.tetramorph.starbase.chartparts;

/**
 * 惑星や獣帯リングのリスナ。PlanetActionListenerは天体がセンスされたときのもの
 * だが、これはリングそのものがセンスされたときのもの。
 * @author 大澤義鷹
 */
public interface RingActionListener {
  /**
   * PlanetRingの天体以外の場所がダブルクリックされたことを知らせる。
   * PlanetEventのbodyの値はnull。
   */
  public void ringDoubleClicked(RingEvent evt);
}
