/*
 * PartDataImporter.java
 *
 * Created on 2007/02/17, 12:05
 * ----------
 * 
 * Copyright (C) 2007-2011 Yoshitaka Ohsawa All rights reserved.
 * This is free software with ABSOLUTELY NO WARRANTY.
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA
 * 
 * ----------
 */

package to.tetramorph.starbase;

import java.awt.BorderLayout;
import java.awt.Component;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.Enumeration;
import javax.swing.AbstractButton;
import javax.swing.ButtonGroup;
import javax.swing.JLabel;
import javax.swing.JRadioButton;

/**
 * 部分インポートを細かくオプションを指定して行うためのものだが、まだ実装してい
 * ない。GUIの形を作っただけ。
 * @author  大澤義鷹
 */
class PartDataImporter extends javax.swing.JDialog {
  ButtonGroup [] buttonGroups = new ButtonGroup[10];
  JRadioButton [] radioButtons;
  ButtonGroup queryButtonGroup = new ButtonGroup();
  /** Creates new form PartDataImporter */
  public PartDataImporter(java.awt.Frame parent, boolean modal) {
    super(parent, modal);
    initComponents();
    init();
  }
    private void init() {
        for (int i = 0; i < buttonGroups.length; i++) {
            buttonGroups[i] = new ButtonGroup();
        }
        buttonGroups[0].add(radioButton0);
        buttonGroups[0].add(radioButton10);
        buttonGroups[1].add(radioButton1);
        buttonGroups[1].add(radioButton11);
        buttonGroups[2].add(radioButton2);
        buttonGroups[2].add(radioButton12);
        buttonGroups[3].add(radioButton3);
        buttonGroups[3].add(radioButton13);
        buttonGroups[3].add(radioButton23);
        buttonGroups[4].add(radioButton4);
        buttonGroups[4].add(radioButton14);
        buttonGroups[4].add(radioButton24);
        buttonGroups[5].add(radioButton5);
        buttonGroups[5].add(radioButton15);
        buttonGroups[6].add(radioButton6);
        buttonGroups[6].add(radioButton16);
        buttonGroups[7].add(radioButton7);
        buttonGroups[7].add(radioButton17);
        buttonGroups[8].add(radioButton8);
        buttonGroups[8].add(radioButton18);
        buttonGroups[9].add(radioButton9);
        buttonGroups[9].add(radioButton19);
        queryButtonGroup.add(queryRadioButton1);
        queryButtonGroup.add(queryRadioButton2);
        queryButtonGroup.add(queryRadioButton3);
        //三択に対してリスナを登録
        ActionListener action = new ActionListener() {

            @Override
            public void actionPerformed(ActionEvent evt) {
                String ac = queryButtonGroup.getSelection().getActionCommand();
                showRadioPanel((ac.equals("update")));
            }
        };
        for (Enumeration enu = queryButtonGroup.getElements(); enu.hasMoreElements();) {
            AbstractButton ab = (AbstractButton) enu.nextElement();
            ab.addActionListener(action);
        }
    }
  //ラジオボタンのEnabled/Disenabledを一括セットする。
  void showRadioPanel(boolean b) {
    if(b) {
      optionPanel.add(radioPanel,BorderLayout.CENTER);
      pack();
    } else {
      optionPanel.getLayout().removeLayoutComponent(radioPanel);
      optionPanel.remove(radioPanel);
      pack();
    }
    System.out.println("EditorPane.bounds = " + jEditorPane1.getBounds());
    System.out.println("Dialog.bounds = " + getBounds());
    validate();
    repaint();
  }
  /** This method is called from within the constructor to
   * initialize the form.
   * WARNING: Do NOT modify this code. The content of this method is
   * always regenerated by the Form Editor.
   */
    // <editor-fold defaultstate="collapsed" desc=" Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {
        javax.swing.JPanel comparePanel;
        java.awt.GridBagConstraints gridBagConstraints;
        javax.swing.JLabel jLabel1;
        javax.swing.JLabel jLabel10;
        javax.swing.JLabel jLabel11;
        javax.swing.JLabel jLabel12;
        javax.swing.JLabel jLabel13;
        javax.swing.JLabel jLabel2;
        javax.swing.JLabel jLabel3;
        javax.swing.JLabel jLabel4;
        javax.swing.JLabel jLabel5;
        javax.swing.JLabel jLabel6;
        javax.swing.JLabel jLabel7;
        javax.swing.JLabel jLabel8;
        javax.swing.JLabel jLabel9;
        javax.swing.JPanel jPanel2;
        javax.swing.JPanel jPanel4;
        javax.swing.JScrollPane jScrollPane1;
        javax.swing.JScrollPane jScrollPane2;
        javax.swing.JPanel queryPanel;
        javax.swing.JPanel tablePanel1;
        javax.swing.JPanel tablePanel2;

        radioPanel = new javax.swing.JPanel();
        jLabel2 = new javax.swing.JLabel();
        radioButton9 = new javax.swing.JRadioButton();
        radioButton29 = new javax.swing.JRadioButton();
        jLabel3 = new javax.swing.JLabel();
        radioButton8 = new javax.swing.JRadioButton();
        radioButton28 = new javax.swing.JRadioButton();
        jLabel4 = new javax.swing.JLabel();
        radioButton3 = new javax.swing.JRadioButton();
        radioButton23 = new javax.swing.JRadioButton();
        jLabel5 = new javax.swing.JLabel();
        radioButton4 = new javax.swing.JRadioButton();
        radioButton24 = new javax.swing.JRadioButton();
        jLabel6 = new javax.swing.JLabel();
        radioButton0 = new javax.swing.JRadioButton();
        radioButton10 = new javax.swing.JRadioButton();
        jLabel7 = new javax.swing.JLabel();
        radioButton1 = new javax.swing.JRadioButton();
        radioButton11 = new javax.swing.JRadioButton();
        jLabel8 = new javax.swing.JLabel();
        radioButton2 = new javax.swing.JRadioButton();
        radioButton12 = new javax.swing.JRadioButton();
        jLabel9 = new javax.swing.JLabel();
        radioButton5 = new javax.swing.JRadioButton();
        radioButton15 = new javax.swing.JRadioButton();
        jLabel10 = new javax.swing.JLabel();
        radioButton6 = new javax.swing.JRadioButton();
        radioButton16 = new javax.swing.JRadioButton();
        jLabel11 = new javax.swing.JLabel();
        radioButton7 = new javax.swing.JRadioButton();
        radioButton17 = new javax.swing.JRadioButton();
        radioButton18 = new javax.swing.JRadioButton();
        radioButton19 = new javax.swing.JRadioButton();
        radioButton13 = new javax.swing.JRadioButton();
        radioButton14 = new javax.swing.JRadioButton();
        jPanel1 = new javax.swing.JPanel();
        inquiryPanel = new javax.swing.JPanel();
        comparePanel = new javax.swing.JPanel();
        tablePanel1 = new javax.swing.JPanel();
        jLabel12 = new javax.swing.JLabel();
        jScrollPane1 = new javax.swing.JScrollPane();
        jEditorPane1 = new javax.swing.JEditorPane();
        tablePanel2 = new javax.swing.JPanel();
        jLabel13 = new javax.swing.JLabel();
        jScrollPane2 = new javax.swing.JScrollPane();
        jEditorPane2 = new javax.swing.JEditorPane();
        jPanel2 = new javax.swing.JPanel();
        queryPanel = new javax.swing.JPanel();
        jLabel1 = new javax.swing.JLabel();
        queryRadioButton1 = new javax.swing.JRadioButton();
        queryRadioButton2 = new javax.swing.JRadioButton();
        queryRadioButton3 = new javax.swing.JRadioButton();
        optionPanel = new javax.swing.JPanel();
        jPanel4 = new javax.swing.JPanel();
        allCheckBox = new javax.swing.JCheckBox();
        acceptButton = new javax.swing.JButton();

        radioPanel.setLayout(new java.awt.GridBagLayout());

        radioPanel.setBorder(javax.swing.BorderFactory.createTitledBorder(javax.swing.BorderFactory.createEtchedBorder(), "\u8ffd\u52a0\u30aa\u30d7\u30b7\u30e7\u30f3"));
        jLabel2.setText("\u30ce\u30fc\u30c8");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 4;
        gridBagConstraints.gridy = 4;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.EAST;
        gridBagConstraints.insets = new java.awt.Insets(2, 2, 2, 17);
        radioPanel.add(jLabel2, gridBagConstraints);

        radioButton9.setText("\u4e0a\u66f8\u304d");
        radioButton9.setBorder(javax.swing.BorderFactory.createEmptyBorder(0, 0, 0, 0));
        radioButton9.setMargin(new java.awt.Insets(0, 0, 0, 0));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 5;
        gridBagConstraints.gridy = 4;
        gridBagConstraints.insets = new java.awt.Insets(2, 2, 2, 2);
        radioPanel.add(radioButton9, gridBagConstraints);

        radioButton29.setSelected(true);
        radioButton29.setText("\u7d99\u304e\u8db3\u3059");
        radioButton29.setBorder(javax.swing.BorderFactory.createEmptyBorder(0, 0, 0, 0));
        radioButton29.setMargin(new java.awt.Insets(0, 0, 0, 0));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 7;
        gridBagConstraints.gridy = 4;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.WEST;
        gridBagConstraints.insets = new java.awt.Insets(2, 2, 2, 2);
        radioPanel.add(radioButton29, gridBagConstraints);

        jLabel3.setText("\u30d2\u30b9\u30c8\u30ea\u30fc");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 4;
        gridBagConstraints.gridy = 3;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.EAST;
        gridBagConstraints.insets = new java.awt.Insets(2, 2, 2, 7);
        radioPanel.add(jLabel3, gridBagConstraints);

        radioButton8.setText("\u4e0a\u66f8\u304d");
        radioButton8.setBorder(javax.swing.BorderFactory.createEmptyBorder(0, 0, 0, 0));
        radioButton8.setMargin(new java.awt.Insets(0, 0, 0, 0));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 5;
        gridBagConstraints.gridy = 3;
        gridBagConstraints.insets = new java.awt.Insets(2, 2, 2, 2);
        radioPanel.add(radioButton8, gridBagConstraints);

        radioButton28.setSelected(true);
        radioButton28.setText("\u7d99\u304e\u8db3\u3059");
        radioButton28.setBorder(javax.swing.BorderFactory.createEmptyBorder(0, 0, 0, 0));
        radioButton28.setMargin(new java.awt.Insets(0, 0, 0, 0));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 7;
        gridBagConstraints.gridy = 3;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.WEST;
        gridBagConstraints.insets = new java.awt.Insets(2, 2, 2, 2);
        radioPanel.add(radioButton28, gridBagConstraints);

        jLabel4.setText("\u8077\u696d");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 3;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.EAST;
        gridBagConstraints.insets = new java.awt.Insets(2, 2, 2, 7);
        radioPanel.add(jLabel4, gridBagConstraints);

        radioButton3.setText("\u4e0a\u66f8\u304d");
        radioButton3.setBorder(javax.swing.BorderFactory.createEmptyBorder(0, 0, 0, 0));
        radioButton3.setMargin(new java.awt.Insets(0, 0, 0, 0));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 1;
        gridBagConstraints.gridy = 3;
        gridBagConstraints.insets = new java.awt.Insets(2, 2, 2, 2);
        radioPanel.add(radioButton3, gridBagConstraints);

        radioButton23.setSelected(true);
        radioButton23.setText("\u7d99\u304e\u8db3\u3059");
        radioButton23.setBorder(javax.swing.BorderFactory.createEmptyBorder(0, 0, 0, 0));
        radioButton23.setMargin(new java.awt.Insets(0, 0, 0, 0));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 3;
        gridBagConstraints.gridy = 3;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.WEST;
        gridBagConstraints.insets = new java.awt.Insets(2, 2, 2, 12);
        radioPanel.add(radioButton23, gridBagConstraints);

        jLabel5.setText("\u30e1\u30e2");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 4;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.EAST;
        gridBagConstraints.insets = new java.awt.Insets(2, 2, 2, 7);
        radioPanel.add(jLabel5, gridBagConstraints);

        radioButton4.setText("\u4e0a\u66f8\u304d");
        radioButton4.setBorder(javax.swing.BorderFactory.createEmptyBorder(0, 0, 0, 0));
        radioButton4.setMargin(new java.awt.Insets(0, 0, 0, 0));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 1;
        gridBagConstraints.gridy = 4;
        gridBagConstraints.insets = new java.awt.Insets(2, 2, 2, 2);
        radioPanel.add(radioButton4, gridBagConstraints);

        radioButton24.setSelected(true);
        radioButton24.setText("\u7d99\u304e\u8db3\u3059");
        radioButton24.setBorder(javax.swing.BorderFactory.createEmptyBorder(0, 0, 0, 0));
        radioButton24.setMargin(new java.awt.Insets(0, 0, 0, 0));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 3;
        gridBagConstraints.gridy = 4;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.WEST;
        gridBagConstraints.insets = new java.awt.Insets(2, 2, 2, 12);
        radioPanel.add(radioButton24, gridBagConstraints);

        jLabel6.setText("\u540d\u524d");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 0;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.EAST;
        gridBagConstraints.insets = new java.awt.Insets(2, 2, 2, 7);
        radioPanel.add(jLabel6, gridBagConstraints);

        radioButton0.setText("\u4e0a\u66f8\u304d");
        radioButton0.setBorder(javax.swing.BorderFactory.createEmptyBorder(0, 0, 0, 0));
        radioButton0.setMargin(new java.awt.Insets(0, 0, 0, 0));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 1;
        gridBagConstraints.gridy = 0;
        gridBagConstraints.insets = new java.awt.Insets(2, 2, 2, 2);
        radioPanel.add(radioButton0, gridBagConstraints);

        radioButton10.setSelected(true);
        radioButton10.setText("\u4e0a\u66f8\u304d\u3057\u306a\u3044");
        radioButton10.setBorder(javax.swing.BorderFactory.createEmptyBorder(0, 0, 0, 0));
        radioButton10.setMargin(new java.awt.Insets(0, 0, 0, 0));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 2;
        gridBagConstraints.gridy = 0;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.WEST;
        gridBagConstraints.insets = new java.awt.Insets(2, 2, 2, 2);
        radioPanel.add(radioButton10, gridBagConstraints);

        jLabel7.setText("\u306a\u307e\u3048");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 1;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.EAST;
        gridBagConstraints.insets = new java.awt.Insets(2, 2, 2, 7);
        radioPanel.add(jLabel7, gridBagConstraints);

        radioButton1.setText("\u4e0a\u66f8\u304d");
        radioButton1.setBorder(javax.swing.BorderFactory.createEmptyBorder(0, 0, 0, 0));
        radioButton1.setMargin(new java.awt.Insets(0, 0, 0, 0));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 1;
        gridBagConstraints.gridy = 1;
        gridBagConstraints.insets = new java.awt.Insets(2, 2, 2, 2);
        radioPanel.add(radioButton1, gridBagConstraints);

        radioButton11.setSelected(true);
        radioButton11.setText("\u4e0a\u66f8\u304d\u3057\u306a\u3044");
        radioButton11.setBorder(javax.swing.BorderFactory.createEmptyBorder(0, 0, 0, 0));
        radioButton11.setMargin(new java.awt.Insets(0, 0, 0, 0));
        radioButton11.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                radioButton11ActionPerformed(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 2;
        gridBagConstraints.gridy = 1;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.WEST;
        gridBagConstraints.insets = new java.awt.Insets(2, 2, 2, 2);
        radioPanel.add(radioButton11, gridBagConstraints);

        jLabel8.setText("\u6027\u5225");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 2;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.EAST;
        gridBagConstraints.insets = new java.awt.Insets(2, 2, 2, 7);
        radioPanel.add(jLabel8, gridBagConstraints);

        radioButton2.setText("\u4e0a\u66f8\u304d");
        radioButton2.setBorder(javax.swing.BorderFactory.createEmptyBorder(0, 0, 0, 0));
        radioButton2.setMargin(new java.awt.Insets(0, 0, 0, 0));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 1;
        gridBagConstraints.gridy = 2;
        gridBagConstraints.insets = new java.awt.Insets(2, 2, 2, 2);
        radioPanel.add(radioButton2, gridBagConstraints);

        radioButton12.setSelected(true);
        radioButton12.setText("\u4e0a\u66f8\u304d\u3057\u306a\u3044");
        radioButton12.setBorder(javax.swing.BorderFactory.createEmptyBorder(0, 0, 0, 0));
        radioButton12.setMargin(new java.awt.Insets(0, 0, 0, 0));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 2;
        gridBagConstraints.gridy = 2;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.EAST;
        gridBagConstraints.insets = new java.awt.Insets(2, 2, 2, 2);
        radioPanel.add(radioButton12, gridBagConstraints);

        jLabel9.setText("\u6642\u523b");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 4;
        gridBagConstraints.gridy = 0;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.EAST;
        gridBagConstraints.insets = new java.awt.Insets(2, 2, 2, 7);
        radioPanel.add(jLabel9, gridBagConstraints);

        radioButton5.setText("\u4e0a\u66f8\u304d");
        radioButton5.setBorder(javax.swing.BorderFactory.createEmptyBorder(0, 0, 0, 0));
        radioButton5.setMargin(new java.awt.Insets(0, 0, 0, 0));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 5;
        gridBagConstraints.gridy = 0;
        gridBagConstraints.insets = new java.awt.Insets(2, 2, 2, 2);
        radioPanel.add(radioButton5, gridBagConstraints);

        radioButton15.setSelected(true);
        radioButton15.setText("\u4e0a\u66f8\u304d\u3057\u306a\u3044");
        radioButton15.setBorder(javax.swing.BorderFactory.createEmptyBorder(0, 0, 0, 0));
        radioButton15.setMargin(new java.awt.Insets(0, 0, 0, 0));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 6;
        gridBagConstraints.gridy = 0;
        gridBagConstraints.insets = new java.awt.Insets(2, 2, 2, 2);
        radioPanel.add(radioButton15, gridBagConstraints);

        jLabel10.setText("\u5730\u540d");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 4;
        gridBagConstraints.gridy = 1;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.EAST;
        gridBagConstraints.insets = new java.awt.Insets(2, 2, 2, 7);
        radioPanel.add(jLabel10, gridBagConstraints);

        radioButton6.setText("\u4e0a\u66f8\u304d");
        radioButton6.setBorder(javax.swing.BorderFactory.createEmptyBorder(0, 0, 0, 0));
        radioButton6.setMargin(new java.awt.Insets(0, 0, 0, 0));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 5;
        gridBagConstraints.gridy = 1;
        gridBagConstraints.insets = new java.awt.Insets(2, 2, 2, 2);
        radioPanel.add(radioButton6, gridBagConstraints);

        radioButton16.setSelected(true);
        radioButton16.setText("\u4e0a\u66f8\u304d\u3057\u306a\u3044");
        radioButton16.setBorder(javax.swing.BorderFactory.createEmptyBorder(0, 0, 0, 0));
        radioButton16.setMargin(new java.awt.Insets(0, 0, 0, 0));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 6;
        gridBagConstraints.gridy = 1;
        gridBagConstraints.insets = new java.awt.Insets(2, 2, 2, 2);
        radioPanel.add(radioButton16, gridBagConstraints);

        jLabel11.setText("\u7def\u5ea6\u30fb\u7d4c\u5ea6");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 4;
        gridBagConstraints.gridy = 2;
        gridBagConstraints.insets = new java.awt.Insets(2, 2, 2, 7);
        radioPanel.add(jLabel11, gridBagConstraints);

        radioButton7.setText("\u4e0a\u66f8\u304d");
        radioButton7.setBorder(javax.swing.BorderFactory.createEmptyBorder(0, 0, 0, 0));
        radioButton7.setMargin(new java.awt.Insets(0, 0, 0, 0));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 5;
        gridBagConstraints.gridy = 2;
        gridBagConstraints.insets = new java.awt.Insets(2, 2, 2, 2);
        radioPanel.add(radioButton7, gridBagConstraints);

        radioButton17.setSelected(true);
        radioButton17.setText("\u4e0a\u66f8\u304d\u3057\u306a\u3044");
        radioButton17.setBorder(javax.swing.BorderFactory.createEmptyBorder(0, 0, 0, 0));
        radioButton17.setMargin(new java.awt.Insets(0, 0, 0, 0));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 6;
        gridBagConstraints.gridy = 2;
        gridBagConstraints.insets = new java.awt.Insets(2, 2, 2, 2);
        radioPanel.add(radioButton17, gridBagConstraints);

        radioButton18.setText("\u4e0a\u66f8\u304d\u3057\u306a\u3044");
        radioButton18.setBorder(javax.swing.BorderFactory.createEmptyBorder(0, 0, 0, 0));
        radioButton18.setMargin(new java.awt.Insets(0, 0, 0, 0));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 6;
        gridBagConstraints.gridy = 3;
        gridBagConstraints.insets = new java.awt.Insets(2, 2, 2, 2);
        radioPanel.add(radioButton18, gridBagConstraints);

        radioButton19.setText("\u4e0a\u66f8\u304d\u3057\u306a\u3044");
        radioButton19.setBorder(javax.swing.BorderFactory.createEmptyBorder(0, 0, 0, 0));
        radioButton19.setMargin(new java.awt.Insets(0, 0, 0, 0));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 6;
        gridBagConstraints.gridy = 4;
        gridBagConstraints.insets = new java.awt.Insets(2, 2, 2, 2);
        radioPanel.add(radioButton19, gridBagConstraints);

        radioButton13.setText("\u4e0a\u66f8\u304d\u3057\u306a\u3044");
        radioButton13.setBorder(javax.swing.BorderFactory.createEmptyBorder(0, 0, 0, 0));
        radioButton13.setMargin(new java.awt.Insets(0, 0, 0, 0));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 2;
        gridBagConstraints.gridy = 3;
        gridBagConstraints.insets = new java.awt.Insets(2, 2, 2, 2);
        radioPanel.add(radioButton13, gridBagConstraints);

        radioButton14.setText("\u4e0a\u66f8\u304d\u3057\u306a\u3044");
        radioButton14.setBorder(javax.swing.BorderFactory.createEmptyBorder(0, 0, 0, 0));
        radioButton14.setMargin(new java.awt.Insets(0, 0, 0, 0));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 2;
        gridBagConstraints.gridy = 4;
        gridBagConstraints.insets = new java.awt.Insets(2, 2, 2, 2);
        radioPanel.add(radioButton14, gridBagConstraints);

        jPanel1.setLayout(new java.awt.GridBagLayout());

        getContentPane().setLayout(new java.awt.GridLayout(1, 0));

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setTitle("\u30c7\u30fc\u30bf\u306e\u90e8\u5206\u30a4\u30f3\u30dd\u30fc\u30c8");
        inquiryPanel.setLayout(new java.awt.BorderLayout());

        comparePanel.setLayout(new java.awt.GridLayout(1, 0, 10, 0));

        comparePanel.setBorder(javax.swing.BorderFactory.createEmptyBorder(8, 8, 8, 8));
        tablePanel1.setLayout(new java.awt.BorderLayout(0, 5));

        jLabel12.setText("\u767b\u9332\u3055\u308c\u3066\u3044\u308b\u30c7\u30fc\u30bf");
        jLabel12.setVerticalTextPosition(javax.swing.SwingConstants.TOP);
        tablePanel1.add(jLabel12, java.awt.BorderLayout.NORTH);

        jScrollPane1.setRequestFocusEnabled(false);
        jEditorPane1.setEditable(false);
        jEditorPane1.setPreferredSize(new java.awt.Dimension(296, 200));
        jScrollPane1.setViewportView(jEditorPane1);

        tablePanel1.add(jScrollPane1, java.awt.BorderLayout.CENTER);

        comparePanel.add(tablePanel1);

        tablePanel2.setLayout(new java.awt.BorderLayout(0, 5));

        jLabel13.setText("\u30a4\u30f3\u30dd\u30fc\u30c8\u3057\u3088\u3046\u3068\u3057\u3066\u3044\u308b\u30c7\u30fc\u30bf");
        jLabel13.setVerticalTextPosition(javax.swing.SwingConstants.TOP);
        tablePanel2.add(jLabel13, java.awt.BorderLayout.NORTH);

        jScrollPane2.setRequestFocusEnabled(false);
        jEditorPane2.setEditable(false);
        jEditorPane2.setPreferredSize(new java.awt.Dimension(296, 200));
        jScrollPane2.setViewportView(jEditorPane2);

        tablePanel2.add(jScrollPane2, java.awt.BorderLayout.CENTER);

        comparePanel.add(tablePanel2);

        inquiryPanel.add(comparePanel, java.awt.BorderLayout.CENTER);

        jPanel2.setLayout(new java.awt.BorderLayout());

        jPanel2.setBorder(javax.swing.BorderFactory.createEmptyBorder(8, 8, 8, 8));
        queryPanel.setLayout(new java.awt.GridBagLayout());

        jLabel1.setText("\u540c\u4e00\u4eba\u7269\u3089\u3057\u304d\u4eba\u304c\u3059\u3067\u306b\u767b\u9332\u3055\u308c\u3066\u3044\u307e\u3059\u3002\u3069\u3046\u3057\u307e\u3059\u304b\uff1f");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.anchor = java.awt.GridBagConstraints.WEST;
        gridBagConstraints.insets = new java.awt.Insets(2, 2, 2, 2);
        queryPanel.add(jLabel1, gridBagConstraints);

        queryRadioButton1.setSelected(true);
        queryRadioButton1.setText("\u767b\u9332\u3057\u306a\u3044");
        queryRadioButton1.setActionCommand("unregist");
        queryRadioButton1.setBorder(javax.swing.BorderFactory.createEmptyBorder(0, 0, 0, 0));
        queryRadioButton1.setMargin(new java.awt.Insets(0, 0, 0, 0));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 1;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.WEST;
        gridBagConstraints.insets = new java.awt.Insets(2, 22, 2, 2);
        queryPanel.add(queryRadioButton1, gridBagConstraints);

        queryRadioButton2.setText("\u5225\u306e\u30c7\u30fc\u30bf\u3068\u307f\u306a\u3057\u65b0\u898f\u306b\u767b\u9332\u3059\u308b");
        queryRadioButton2.setActionCommand("inset");
        queryRadioButton2.setBorder(javax.swing.BorderFactory.createEmptyBorder(0, 0, 0, 0));
        queryRadioButton2.setMargin(new java.awt.Insets(0, 0, 0, 0));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 2;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.WEST;
        gridBagConstraints.insets = new java.awt.Insets(2, 22, 2, 2);
        queryPanel.add(queryRadioButton2, gridBagConstraints);

        queryRadioButton3.setText("\u65e2\u5b58\u306e\u30c7\u30fc\u30bf\u306b\u4e0a\u66f8\u304d\u3057\u3066\u767b\u9332\u3059\u308b");
        queryRadioButton3.setActionCommand("update");
        queryRadioButton3.setBorder(javax.swing.BorderFactory.createEmptyBorder(0, 0, 0, 0));
        queryRadioButton3.setMargin(new java.awt.Insets(0, 0, 0, 0));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 3;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.WEST;
        gridBagConstraints.insets = new java.awt.Insets(2, 22, 2, 2);
        queryPanel.add(queryRadioButton3, gridBagConstraints);

        jPanel2.add(queryPanel, java.awt.BorderLayout.WEST);

        inquiryPanel.add(jPanel2, java.awt.BorderLayout.NORTH);

        optionPanel.setLayout(new java.awt.BorderLayout());

        optionPanel.setBorder(javax.swing.BorderFactory.createEmptyBorder(0, 8, 8, 8));
        allCheckBox.setText("\u4ee5\u964d\u3059\u3079\u3066\u306b\u9069\u7528");
        allCheckBox.setBorder(javax.swing.BorderFactory.createEmptyBorder(0, 0, 0, 0));
        allCheckBox.setMargin(new java.awt.Insets(0, 0, 0, 0));
        jPanel4.add(allCheckBox);

        acceptButton.setText("\u6c7a\u5b9a");
        jPanel4.add(acceptButton);

        optionPanel.add(jPanel4, java.awt.BorderLayout.SOUTH);

        inquiryPanel.add(optionPanel, java.awt.BorderLayout.SOUTH);

        getContentPane().add(inquiryPanel);

        pack();
    }// </editor-fold>//GEN-END:initComponents

  private void radioButton11ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_radioButton11ActionPerformed
// TODO add your handling code here:
  }//GEN-LAST:event_radioButton11ActionPerformed
  
  /**
   * @param args the command line arguments
   */
  public static void main(String args[]) {
    java.awt.EventQueue.invokeLater(new Runnable() {
      public void run() {
        new PartDataImporter(new javax.swing.JFrame(), true).setVisible(true);
      }
    });
  }
  
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton acceptButton;
    private javax.swing.JCheckBox allCheckBox;
    private javax.swing.JPanel inquiryPanel;
    private javax.swing.JEditorPane jEditorPane1;
    private javax.swing.JEditorPane jEditorPane2;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel optionPanel;
    private javax.swing.JRadioButton queryRadioButton1;
    private javax.swing.JRadioButton queryRadioButton2;
    private javax.swing.JRadioButton queryRadioButton3;
    private javax.swing.JRadioButton radioButton0;
    private javax.swing.JRadioButton radioButton1;
    private javax.swing.JRadioButton radioButton10;
    private javax.swing.JRadioButton radioButton11;
    private javax.swing.JRadioButton radioButton12;
    private javax.swing.JRadioButton radioButton13;
    private javax.swing.JRadioButton radioButton14;
    private javax.swing.JRadioButton radioButton15;
    private javax.swing.JRadioButton radioButton16;
    private javax.swing.JRadioButton radioButton17;
    private javax.swing.JRadioButton radioButton18;
    private javax.swing.JRadioButton radioButton19;
    private javax.swing.JRadioButton radioButton2;
    private javax.swing.JRadioButton radioButton23;
    private javax.swing.JRadioButton radioButton24;
    private javax.swing.JRadioButton radioButton28;
    private javax.swing.JRadioButton radioButton29;
    private javax.swing.JRadioButton radioButton3;
    private javax.swing.JRadioButton radioButton4;
    private javax.swing.JRadioButton radioButton5;
    private javax.swing.JRadioButton radioButton6;
    private javax.swing.JRadioButton radioButton7;
    private javax.swing.JRadioButton radioButton8;
    private javax.swing.JRadioButton radioButton9;
    private javax.swing.JPanel radioPanel;
    // End of variables declaration//GEN-END:variables
  
}
