/*
 * BodyPopupMenu.java
 *
 * Created on 2008/10/01, 15:51
 *
 * ----------
 * 
 * Copyright (C) 2007-2011 Yoshitaka Ohsawa All rights reserved.
 * This is free software with ABSOLUTELY NO WARRANTY.
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA
 * 
 * ----------
 */

package to.tetramorph.starbase.chartmodule;

import javax.swing.JMenuItem;
import javax.swing.JPopupMenu;
import javax.swing.JSeparator;

/**
 * 天体を右クリックして出すメニュー。
 * @author 大澤義孝
 */
public class BodyPopupMenu extends JPopupMenu {
    /**
     *この天体とのアスペクトを表示
     */
    protected JMenuItem item1 = new JMenuItem("この天体とのアスペクトを表示");
    /**
     *サビアン辞書を表示
     */
    protected JMenuItem item2 = new JMenuItem("サビアン辞書を表示");
    /**
     *天体の表示/非表示の設定
     */
    protected JMenuItem item3 = new JMenuItem("天体の表示/非表示の設定");
    /**
     *アスペクトを検出する天体を設定
     */
    protected JMenuItem item4 = new JMenuItem("アスペクトを検出する天体を設定");
    /**
     *進行法の設定
     */
    protected JMenuItem item5 = new JMenuItem("進行法の設定");
    /**
     *ハウスの設定
     */
    protected JMenuItem item6 = new JMenuItem("ハウスの設定");
    
    /**  BodyPopupMenu オブジェクトを作成する */
    public BodyPopupMenu() {
        super();
        add( item1 );
        add( item2 );
        add( new JSeparator() );
        add( item3 );
        add( item4 );
        add( item5 );
        add( item6 );
    }
    
}
