/*
 * DustBoxTreeNode.java
 *
 * Created on 2006/07/02, 0:43
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 * ----------
 * 
 * Copyright (C) 2007-2011 Yoshitaka Ohsawa All rights reserved.
 * This is free software with ABSOLUTELY NO WARRANTY.
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA
 * 
 * ----------
 */

package to.tetramorph.starbase;

import javax.swing.tree.DefaultMutableTreeNode;
import to.tetramorph.starbase.*;

/**
 * ツリーの中でごみ箱を表現するクラス。ごみ箱は他のフォルダとは区別できるように
 * しておきたい。つまりinstanceof演算で識別できるようにするため、別クラスとして
 * TreeNodeを用意している。
 */
class DustBoxTreeNode extends FolderTreeNode {
  
  /**
   * Creates a new instance of DustBoxTreeNode
   */
  public DustBoxTreeNode() {
    super("ごみ箱",false); //子を持つことは禁止
  }
  
}
