/*
 * PreferencePanel.java
 *
 * Created on 2006/09/15, 6:00
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 * ----------
 * 
 * Copyright (C) 2007-2011 Yoshitaka Ohsawa All rights reserved.
 * This is free software with ABSOLUTELY NO WARRANTY.
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA
 * 
 * ----------
 */

package to.tetramorph.starbase;

import javax.swing.JPanel;
import to.tetramorph.util.Preference;

/**
 * 色々な設定を行うパネルを作成するときに、このクラスを継承して作る。
 * 各種設定パネルはMainConfigPanel内でJTabbedPaneに入れて使用するため、
 * interfaceではなくabstractクラスを使用する。
 * @author 大澤義鷹
 */
abstract class PreferencePanel extends JPanel {
  /**
   * サブクラスから渡されたプレファランス
   */
  //protected Preference pref;
//  /**
//   * プレファランスパネルのオブジェクトを作成する。
//   * @param pref 各種設定情報が書かれているプロパティ
//   */
//  protected PreferencePanel() {
//    //this.pref = pref;
//  }
  /**
   * このパネルの部品を読み取り、設定情報をSysProp等に設定する。
   * 「登録」ボタンが押されたときに呼ばれる。
   */
  public abstract void regist();

}
