/*
 * TimeManeuverListener.java
 *
 * Created on 2006/10/11, 19:14
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 * ----------
 * 
 * Copyright (C) 2007-2011 Yoshitaka Ohsawa All rights reserved.
 * This is free software with ABSOLUTELY NO WARRANTY.
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA
 * 
 * ----------
 */

package to.tetramorph.starbase;

/**
 * TimeManeuverPanelからの時間変更イベントを受け取るリスナ。
 * @author 大澤義鷹
 */
interface TimeManeuverListener {
  /**
   * 日時をインクリメントする。
   */
  public void increment();
  /**
   * 日時をデクリメントする。
   */
  public void decrement();
  /**
   * 値をセット
   */
  public void store();
}
